//////////////////////////////////////////////////////////////////////
// XLogical - A puzzle game
//
// Copyright (C) 2000 Neil Brown, Tom Warkentin
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// or at the website: http://www.gnu.org
//
////////////////////////////////////////////////////////////////////////




// Application Includes
#include "exception.h"

CException::CException(	const string &aError,
		const string &aFile,
		const unsigned long aLine ) :
fError( aError ),
fFile( aFile ),
fLine( aLine )
{
};

CException::~CException( void )
{
};

const string &
CException::Error( void )
{
	return( fError );
}

const string &
CException::File( void )
{
	return( fFile );
}

const unsigned long
CException::Line( void )
{
	return( fLine );
}

void
CException::SetError( const string &aError )
{
	fError = aError;
}

void
CException::SetFile( const string &aFile )
{
	fFile = aFile;
}

void
CException::SetLine( const unsigned long aLine )
{
	fLine = aLine;
}

ostream &
operator << ( ostream &os, CException &e )
{
	os	<< endl
		<< "Error: " << e.fError.c_str() << endl
		<< " File: " << e.fFile.c_str() << endl
		<< " Line: " << e.fLine << endl;
	return( os );
}
// $Id: exception.cc,v 1.2 2000/10/06 19:29:04 brown Exp $
//
// $Log: exception.cc,v $
// Revision 1.2  2000/10/06 19:29:04  brown
// Added autoconf stuff
// Added GPL header to files
// Added WON scroller
// Added GPL to about screen
//
// Revision 1.1.1.1  2000/09/28 02:17:52  tom
// imported sources
//
// Revision 1.3  1999/12/25 08:18:33  tom
// Added "Id" and "Log" CVS keywords to source code.
//
