//////////////////////////////////////////////////////////////////////
// XLogical - A puzzle game
//
// Copyright (C) 2000 Neil Brown, Tom Warkentin
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// or at the website: http://www.gnu.org
//
////////////////////////////////////////////////////////////////////////



#ifndef MENUSLIDER_H
#define MENUSLIDER_H

#include "menutext.h"

class CMenuSlider : public CMenuBase
{
public:
	CMenuSlider(
		float aVal,
		const string &aString="",
		const float aMax=1.0 );
	virtual ~CMenuSlider( void );

	float GetValue( void );

	// user must write these
	virtual void Click( int aX, int aY, int aButton );
	virtual void Draw( void );
	virtual void Keypress( keysyms );
	virtual void Manage( void );
	virtual void Realize( void );
	virtual void Selected( void );
	virtual void SetHilighted( bool );

protected:
private:
	static const float kSliderIncrement	= 0.05;
	static const int kSliderWidth		= 128;
	static const int kSliderHeight		= 32;
	static const int kThumbWidth		= 8;
	static const int kThumbHeight		= 16;

	CMenuText fMenuText;
	float fMax;
	float fValue;

};

#endif
// $Id: menuslider.h,v 1.2 2000/10/06 19:29:10 brown Exp $
//
// $Log: menuslider.h,v $
// Revision 1.2  2000/10/06 19:29:10  brown
// Added autoconf stuff
// Added GPL header to files
// Added WON scroller
// Added GPL to about screen
//
// Revision 1.1.1.1  2000/09/28 02:17:52  tom
// imported sources
//
// Revision 1.3  1999/12/25 08:18:38  tom
// Added "Id" and "Log" CVS keywords to source code.
//
