//////////////////////////////////////////////////////////////////////
// XLogical - A puzzle game
//
// Copyright (C) 2000 Neil Brown, Tom Warkentin
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// or at the website: http://www.gnu.org
//
////////////////////////////////////////////////////////////////////////



#ifndef PLUGINS_H
#define PLUGSIN_H

#include <list>
#include <string>

class CPlugins
{
public:
	typedef list<string> Plugins;

	CPlugins( void );
	CPlugins( const string &aDirPath="" );
	virtual ~CPlugins( void );

	const Plugins & GetPlugins( void ) const;
	void Load( const string &aPlugin );
	void ScanDir( const string &aDirPath="" );

private:
	Plugins fPlugins;
	void *fLibHandle;
};

#endif
// $Id: plugins.h,v 1.2 2000/10/06 19:29:11 brown Exp $
//
// $Log: plugins.h,v $
// Revision 1.2  2000/10/06 19:29:11  brown
// Added autoconf stuff
// Added GPL header to files
// Added WON scroller
// Added GPL to about screen
//
// Revision 1.1.1.1  2000/09/28 02:17:52  tom
// imported sources
//
// Revision 1.3  1999/12/25 08:18:39  tom
// Added "Id" and "Log" CVS keywords to source code.
//
